Package org.apache.ignite.spi.systemview.view.datastructures

## Class AtomicReferenceView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.datastructures.AtomicReferenceView

-     public class AtomicReferenceView
      extends Object

  `IgniteAtomicReference` representation for a `SystemView`.
  See Also:
    `Ignite.atomicReference(String, Object, boolean)`, `Ignite.atomicReference(String, AtomicConfiguration, Object, boolean)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected T` | `ds` | Data structure instance.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AtomicReferenceView​(org.apache.ignite.internal.processors.datastructures.GridCacheRemovable ds)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `groupId()` |
    `String` | `groupName()` |
    `String` | `name()` |
    `boolean` | `removed()` |
    `String` | `value()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ds

          protected final T extends org.apache.ignite.internal.processors.datastructures.AtomicDataStructureProxy ds

      Data structure instance.

  - ### Constructor Detail

    - #### AtomicReferenceView

          public AtomicReferenceView​(org.apache.ignite.internal.processors.datastructures.GridCacheRemovable ds)

      Parameters:
        `ds` - Data structure instance.

  - ### Method Detail

    - #### value

          public String value()

      Returns:
        Value.
      See Also:
        `IgniteAtomicReference.get()`

    - #### name

          public String name()

      Returns:
        Name.

    - #### groupName

          public String groupName()

      Returns:
        Group name.

    - #### groupId

          public int groupId()

      Returns:
        Group id.

    - #### removed

          public boolean removed()

      Returns:
        `True` is data structure removed.